---
updatedAt: 2026-06-03T12:16:05.000Z
agentTools:
  projectIndex: https://docs.asaas.com/llms.txt
---

# Retrieve a single key

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Asaas",
    "description": "API pública de integração com a plataforma Asaas.",
    "version": "3.0.0"
  },
  "servers": [
    {
      "url": "https://api-sandbox.asaas.com",
      "description": "Sandbox"
    }
  ],
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "Pix"
    }
  ],
  "paths": {
    "/v3/pix/addressKeys/{id}": {
      "get": {
        "tags": [
          "Pix"
        ],
        "summary": "Retrieve a single key",
        "description": "",
        "operationId": "retrieve-a-single-key",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Unique Pix key identifier in Asaas",
            "required": true,
            "schema": {
              "type": "string",
              "example": "a33047b1-fb19-4b68-9373-a7ba8a8162aa"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Ok",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PixAddressKeyGetResponseDTO"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseDTO"
                },
                "example": {
                  "errors": [
                    {
                      "code": "error_code",
                      "description": "Error description"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseDTO"
                },
                "example": {
                  "errors": [
                    {
                      "code": "invalid_access_token",
                      "description": "A chave de API fornecida é inválida"
                    }
                  ]
                }
              }
            }
          },
          "403": {
            "description": "Forbidden. Occurs when the request body is filled, GET method calls must have an empty body."
          },
          "404": {
            "description": "Not found"
          }
        },
        "deprecated": false
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponseDTO": {
        "type": "object",
        "properties": {
          "errors": {
            "type": "array",
            "description": "List of objects",
            "deprecated": false,
            "items": {
              "$ref": "#/components/schemas/ErrorResponseItemDTO"
            }
          }
        }
      },
      "ErrorResponseItemDTO": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "deprecated": false,
            "example": null
          },
          "description": {
            "type": "string",
            "description": "Error description",
            "deprecated": false,
            "example": null
          }
        },
        "description": "List of objects",
        "deprecated": false
      },
      "PixAddressKeyGetResponseDTO": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique Pix key identifier in Asaas",
            "example": "a33047b1-fb19-4b68-9373-a7ba8a8162aa",
            "deprecated": false
          },
          "key": {
            "type": "string",
            "description": "Key value",
            "example": "b6295ee1-f054-47d1-9e90-ee57b74f60d9",
            "deprecated": false
          },
          "type": {
            "$ref": "#/components/schemas/PixAddressKeyGetResponsePixAddressKeyType"
          },
          "status": {
            "$ref": "#/components/schemas/PixAddressKeyGetResponsePixAddressKeyStatus"
          },
          "dateCreated": {
            "type": "string",
            "description": "Key creation date",
            "format": "date-time",
            "example": "2022-02-07 17:17:48",
            "deprecated": false
          },
          "canBeDeleted": {
            "type": "boolean",
            "description": "Determines whether the key can be deleted",
            "example": true,
            "deprecated": false
          },
          "cannotBeDeletedReason": {
            "type": "string",
            "description": "Reason it cannot be removed",
            "deprecated": false,
            "example": null
          },
          "qrCode": {
            "$ref": "#/components/schemas/PixAddressKeyQrCodeGetResponseDTO"
          }
        }
      },
      "PixAddressKeyGetResponsePixAddressKeyType": {
        "type": "string",
        "description": "Pix key type",
        "example": "EVP",
        "deprecated": false,
        "enum": [
          "CPF",
          "CNPJ",
          "EMAIL",
          "PHONE",
          "EVP"
        ]
      },
      "PixAddressKeyGetResponsePixAddressKeyStatus": {
        "type": "string",
        "description": "Key status",
        "example": "ACTIVE",
        "deprecated": false,
        "enum": [
          "AWAITING_ACTIVATION",
          "ACTIVE",
          "AWAITING_DELETION",
          "AWAITING_ACCOUNT_DELETION",
          "DELETED",
          "ERROR"
        ]
      },
      "PixAddressKeyQrCodeGetResponseDTO": {
        "type": "object",
        "properties": {
          "encodedImage": {
            "type": "string",
            "description": "QrCode image in base64",
            "example": "QRCODE IMAGE IN BASE64",
            "deprecated": false
          },
          "payload": {
            "type": "string",
            "description": "Copy and Paste the QrCode",
            "example": "00020126580014br.gov.bcb.pix0136a9fe43bc-164d-44d1-91c2-2f9b4d6956e95204000053039865802BR5925Joao da Silva6009Joinville62290525JOAOSILVA00000055ASA6304E62B",
            "deprecated": false
          }
        },
        "description": "Pix key QRCode",
        "deprecated": false
      }
    },
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "name": "access_token",
        "in": "header"
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "User-Agent",
        "value": "NomeDaSuaAplicacao/1.0.0"
      }
    ]
  }
}
```

# Sibling pages

* [Create a key](https://docs.asaas.com/reference/create-a-key.md)
* [List keys](https://docs.asaas.com/reference/list-keys.md)
* [Remove key](https://docs.asaas.com/reference/remove-key-1.md)
* [Create static QRCode](https://docs.asaas.com/reference/create-static-qrcode.md)
* [Remove a static QR Code](https://docs.asaas.com/reference/delete-static-qrcode.md)
* [Available Token Bucket Check](https://docs.asaas.com/reference/available-token-bucket-check.md)
* [Check Pix Key](https://docs.asaas.com/reference/check-pix-key.md)